Get Blueprint Transitions

Purpose

To retrieve the list of Transitions associated with a Blueprint in your Zoho CRM organization.

Endpoints

  • GET /settings/blueprints/transitions
  • GET /settings/blueprints/transitions/{blueprint_transition_ID}

Request Details

Request URL

To get multiple Blueprint Transitions by their IDs:
{api-domain}/crm/{version}/settings/blueprints/transitions?ids={blueprint_transition_ID1, blueprint_transition_ID2, blueprint_transition_ID3, ..} 
To get a specific Blueprint Transitions by its ID:
{api-domain}/crm/{version}/settings/blueprints/transitions/{blueprint_transition_ID}
 

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.transitions.read

Parameters

  • idsstring, mandatory

    Specify the IDs of the Blueprint Transitions in a comma-separated format.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/transitions/{blueprint_ transition_ID}"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The Transitions JSON array consists of the details of the Blueprints Transitions configured in your Zoho CRM organization. This includes the following keys:

  • idstring

    Represents the unique ID of the transition.

  • trigger_typestring

    Represents the trigger type configured for the transition.
    Possible values: manual, automatic

  • transition_typestring

    Represents the type of the transition.
    Possible values: standalone_transition, parallel_transition, child_transition

  • process_idstring

    Represents the ID of the blueprint process associated with the transition.

  • namestring

    Represents the name of the transition.

  • criteriaJSON object / null

    Represents the criteria configured for the transition.

  • color_codestring

    Represents the color code configured for the transition button.

  • ownersJSON array

    Represents the owners associated with the transition.

    • typestring

      Represents the owner type associated with the transition.

    • resourcesJSON array

      Represents the resources associated with the owner type.

      • idstring

        Represents the unique ID of the owner resource.

  • module JSON object

    Represents the module associated with the transition.

    • api_namestring

      Represents the API name of the module associated with the transition.

    • idstring

      Represents the unique ID of the module associated with the transition.

  • during_inputsJSON array

    Represents the during input configurations associated with the transition.

    • idstring

      Represents the unique ID of the during input.

    • typestring

      Represents the type of during input configured.

    • optionalBoolean

      Represents whether the during input is optional.

    • sequence_numberinteger

      Represents the order of the during input.

    • validation_filterJSON object / null

      Represents the validation filter configured for the during input.

    • modulestring

      Represents the module name associated with the during input.

    • field JSON object

      Represents the field associated with the during input.

      • api_namestring

        Represents the API name of the field.

      • idstring

        Represents the unique ID of the field.

    • checklist_info JSON object

      Represents the checklist configuration associated with the during input.

      • titlestring

        Represents the title of the checklist.

      • itemsJSON array

        Represents the checklist items configured for the during input.

  • actionsJSON array

    Represents the actions configured for the transition.

    • typestring

      Represents the type of action configured.

    • namestring

      Represents the name of the action configured.

    • idstring

      Represents the unique ID of the action configured.

    • detailsJSON object / null

      Represents additional details configured for the action.

Sample Response

Copied{
  "states": [
    {
      "process_id": "5843104000004358046",
      "state_escalation": {
        "period": "Days",
        "value": 1,
        "trigger_details": [
          {
            "period": "Days",
            "execute_type": "on",
            "id": "584310400000118021",
            "value": 0,
            "actions": [
              {
                "details": {
                  "escalate_to": [
                    {
                      "id": "584310400000057846",
                      "type": "user"
                    }
                  ],
                  "name": "SLA",
                  "id": "584310400000118022"
                },
                "type": "sla"
              }
            ]
          },
          {
            "period": "Hours",
            "execute_type": "on",
            "id": "584310400000118023",
            "value": 1,
            "actions": [
              {
                "details": {
                  "escalate_to": [
                    {
                      "id": "584310400000057846",
                      "type": "user"
                    }
                  ],
                  "name": "SLA",
                  "id": "584310400000118024"
                },
                "type": "sla"
              }
            ]
          },
          {
            "period": "Days",
            "execute_type": "on",
            "id": "584310400000118025",
            "value": 2,
            "actions": [
              {
                "details": {
                  "escalate_to": [
                    {
                      "id": "584310400000057846",
                      "type": "user"
                    }
                  ],
                  "name": "SLA",
                  "id": "584310400000118026"
                },
                "type": "sla"
              }
            ]
          }
        ]
      },
      "module": {
        "api_name": "Potentials",
        "id": "5843104000000002181"
      },
      "pick_list_value": {
        "actual_value": "Closed Won",
        "id": "5843104000004358062"
      }
    }
  ]
}

Possible Errors

  • REQUIRED_PARAM_MISSINGHTTP 400

    One of the expected parameters is missing.
    Resolution: Specify the ids parameter with valid transition IDs.

  • INVALID_REQUEST_METHODHTTP 400

    The HTTP request method type is not valid.
    Resolution: Specify a valid HTTP method for the API endpoint.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized.
    Resolution: The client does not have a valid scope to read transitions. Create a token with the required scope.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed.
    Resolution: Pass a valid OAuth access token in the request header.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the request URL section above.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error.
    Resolution: Unexpected and unhandled exception in the server. Contact the support team.